Federated blogging application, thanks to ActivityPub https://joinplu.me
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

61 lines
1.3 KiB

  1. [package]
  2. name = "plume-models"
  3. version = "0.4.0"
  4. authors = ["Plume contributors"]
  5. edition = "2018"
  6. [dependencies]
  7. activitypub = "0.1.1"
  8. ammonia = "2.1.1"
  9. askama_escape = "0.1"
  10. bcrypt = "0.5"
  11. guid-create = "0.1"
  12. heck = "0.3.0"
  13. itertools = "0.8.0"
  14. lazy_static = "1.0"
  15. ldap3 = "0.7.1"
  16. migrations_internals= "1.4.0"
  17. openssl = "0.10.22"
  18. rocket = "0.4.5"
  19. rocket_i18n = { git = "https://github.com/Plume-org/rocket_i18n", rev = "e922afa7c366038b3433278c03b1456b346074f2" }
  20. reqwest = "0.9"
  21. scheduled-thread-pool = "0.2.2"
  22. serde = "1.0"
  23. serde_derive = "1.0"
  24. serde_json = "1.0"
  25. tantivy = "0.12.0"
  26. url = "2.1"
  27. walkdir = "2.2"
  28. webfinger = "0.4.1"
  29. whatlang = "0.7.1"
  30. shrinkwraprs = "0.2.1"
  31. diesel-derive-newtype = "0.1.2"
  32. glob = "0.3.0"
  33. lindera-tantivy = { version = "0.1.3", optional = true }
  34. riker = "0.4"
  35. [dependencies.chrono]
  36. features = ["serde"]
  37. version = "0.4"
  38. [dependencies.diesel]
  39. features = ["r2d2", "chrono"]
  40. version = "1.4.2"
  41. [dependencies.plume-api]
  42. path = "../plume-api"
  43. [dependencies.plume-common]
  44. path = "../plume-common"
  45. [dependencies.plume-macro]
  46. path = "../plume-macro"
  47. [dev-dependencies]
  48. diesel_migrations = "1.3.0"
  49. [features]
  50. postgres = ["diesel/postgres", "plume-macro/postgres" ]
  51. sqlite = ["diesel/sqlite", "plume-macro/sqlite" ]
  52. search-lindera = ["lindera-tantivy"]